// PurgeDlg.cpp : implementation file
//

#include "stdafx.h"
#include "Purge.h"
#include "PurgeDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CPurgeDlg dialog


CPurgeDlg::CPurgeDlg(CallBackPtr cbp, CWnd* pParent /*=NULL*/)
	: TGSDialog(cbp, CPurgeDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CPurgeDlg)
	m_bClasses = FALSE;
	m_bLayers = FALSE;
	m_bRecords = FALSE;
	m_bSymbols = FALSE;
	//}}AFX_DATA_INIT
}


void CPurgeDlg::DoDataExchange(CDataExchange* pDX)
{
	TGSDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CPurgeDlg)
	DDX_Check(pDX, IDC_CLASSES, m_bClasses);
	DDX_Check(pDX, IDC_LAYERS, m_bLayers);
	DDX_Check(pDX, IDC_RECORDS, m_bRecords);
	DDX_Check(pDX, IDC_SYMBOLS, m_bSymbols);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CPurgeDlg, TGSDialog)
	//{{AFX_MSG_MAP(CPurgeDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CPurgeDlg message handlers

BOOL CPurgeDlg::OnInitDialog() 
{
	TGSDialog::OnInitDialog();
	
	// Setup help.
	EnableHelp(IDC_HELPTEXT, IDS_HELP_DEFAULT);

	RegisterHelpItem(IDS_HELP_OK, IDOK);
	RegisterHelpItem(IDS_HELP_CANCEL, IDCANCEL);

	RegisterHelpItem(IDS_HELP_LAYERS, IDC_LAYERS);
	RegisterHelpItem(IDS_HELP_CLASSES, IDC_CLASSES);
	RegisterHelpItem(IDS_HELP_SYMBOLS, IDC_SYMBOLS);
	RegisterHelpItem(IDS_HELP_RECORDS, IDC_RECORDS);

	return TRUE;  // return TRUE unless you set the focus to a control
}
